Subject: crosscompiling GNU, how?
From: [email-masked] ("Janusz J. Mlodzianowski")

8 Apr 1997 04:20:04 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Mailer: Elm [revision: 70.85]
Original-Sender: [email-masked]

I have the following problem and question:
I need to build a crosscompiler host: NeXT or Linux and target: Win95.
I have downloaded the complete cdksrc.tar.gz package. After unpacking
I am faced with zillions of files and some 200-300MB of source code.
I understand that I do not need at least some of this code.
Could I simply remove unnecessary files and packages (like hp 68k z88 etc)?
If so what files need to remain?
I already have a working GNU package supplied with my NeXT installation.
I do not want to corrupt it. Should I (how and where to) change the default
directories (/usr , /etc)? If I recompile the lot as a user and not root
NeXT (Linux) will not allow make to access system directories (am I right?)
Is it possible that I use the existing GNU compiler to produce the assembler
output and then run it through crossassembler and crosslinker? This would
greatly speed up the whole procedure.
janusz

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".